package com.mortals.xhx.module.matter.model;

import java.util.List;
import com.mortals.xhx.module.matter.model.MatterDatumEntity;
/**
* 事项申请材料查询对象
*
* @author zxfei
* @date 2022-10-13
*/
public class MatterDatumQuery extends MatterDatumEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 开始 事项matter id */
    private Long matterIdStart;

    /** 结束 事项matter id */
    private Long matterIdEnd;

    /** 增加 事项matter id */
    private Long matterIdIncrement;

    /** 事项matter id列表 */
    private List <Long> matterIdList;

    /** 开始 部门ID */
    private Long deptIdStart;

    /** 结束 部门ID */
    private Long deptIdEnd;

    /** 增加 部门ID */
    private Long deptIdIncrement;

    /** 部门ID列表 */
    private List <Long> deptIdList;

    /** 材料名 */
    private List<String> materialNameList;

    /** 材料全名 */
    private List<String> materiaFullNameList;

    /** 开始 事项来源(0.政务网，1.自定义) */
    private Integer sourceStart;

    /** 结束 事项来源(0.政务网，1.自定义) */
    private Integer sourceEnd;

    /** 增加 事项来源(0.政务网，1.自定义) */
    private Integer sourceIncrement;

    /** 事项来源(0.政务网，1.自定义)列表 */
    private List <Integer> sourceList;

    /** 开始 是否推荐(0.未推荐，1.推荐) */
    private Integer isRecommendStart;

    /** 结束 是否推荐(0.未推荐，1.推荐) */
    private Integer isRecommendEnd;

    /** 增加 是否推荐(0.未推荐，1.推荐) */
    private Integer isRecommendIncrement;

    /** 是否推荐(0.未推荐，1.推荐)列表 */
    private List <Integer> isRecommendList;

    /** 开始 填单次数 */
    private Integer totalStart;

    /** 结束 填单次数 */
    private Integer totalEnd;

    /** 增加 填单次数 */
    private Integer totalIncrement;

    /** 填单次数列表 */
    private List <Integer> totalList;

    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序列表 */
    private List <Integer> sortList;

    /** 填单的附件名称 */
    private List<String> fileNameList;

    /** 填单的附件下载地址 */
    private List<String> fileUrlList;

    /** 样表名称 */
    private List<String> sampleNameList;

    /** 样表地址 */
    private List<String> samplePathList;

    /** 模板名称 */
    private List<String> templateNameList;

    /** 模板地址 */
    private List<String> templatePathList;

    /** 样表预览地址 */
    private List<String> preViewPathList;

    /** 表单内容 */
    private List<String> formContentList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterDatumQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterDatumQuery> andConditionList;

    public MatterDatumQuery(){}

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 事项matter id
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
    * 设置 开始 事项matter id
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项matter id
    * @return $matterIdEnd
    */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项matter id
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项matter id
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项matter id
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项matter id
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
    * 设置 事项matter id
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
    * 获取 开始 部门ID
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 部门ID
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 部门ID
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 部门ID
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 部门ID
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 部门ID
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 部门ID
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 部门ID
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 材料名
    * @return materialNameList
    */
    public List<String> getMaterialNameList(){
        return this.materialNameList;
    }

    /**
    * 设置 材料名
    * @param materialNameList
    */
    public void setMaterialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
    }
    /**
    * 获取 材料全名
    * @return materiaFullNameList
    */
    public List<String> getMateriaFullNameList(){
        return this.materiaFullNameList;
    }

    /**
    * 设置 材料全名
    * @param materiaFullNameList
    */
    public void setMateriaFullNameList(List<String> materiaFullNameList){
        this.materiaFullNameList = materiaFullNameList;
    }
    /**
    * 获取 开始 事项来源(0.政务网，1.自定义)
    * @return sourceStart
    */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
    * 设置 开始 事项来源(0.政务网，1.自定义)
    * @param sourceStart
    */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
    * 获取 结束 事项来源(0.政务网，1.自定义)
    * @return $sourceEnd
    */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
    * 设置 结束 事项来源(0.政务网，1.自定义)
    * @param sourceEnd
    */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
    * 获取 增加 事项来源(0.政务网，1.自定义)
    * @return sourceIncrement
    */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
    * 设置 增加 事项来源(0.政务网，1.自定义)
    * @param sourceIncrement
    */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
    * 获取 事项来源(0.政务网，1.自定义)
    * @return sourceList
    */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
    * 设置 事项来源(0.政务网，1.自定义)
    * @param sourceList
    */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
    * 获取 开始 是否推荐(0.未推荐，1.推荐)
    * @return isRecommendStart
    */
    public Integer getIsRecommendStart(){
        return this.isRecommendStart;
    }

    /**
    * 设置 开始 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendStart
    */
    public void setIsRecommendStart(Integer isRecommendStart){
        this.isRecommendStart = isRecommendStart;
    }

    /**
    * 获取 结束 是否推荐(0.未推荐，1.推荐)
    * @return $isRecommendEnd
    */
    public Integer getIsRecommendEnd(){
        return this.isRecommendEnd;
    }

    /**
    * 设置 结束 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendEnd
    */
    public void setIsRecommendEnd(Integer isRecommendEnd){
        this.isRecommendEnd = isRecommendEnd;
    }

    /**
    * 获取 增加 是否推荐(0.未推荐，1.推荐)
    * @return isRecommendIncrement
    */
    public Integer getIsRecommendIncrement(){
        return this.isRecommendIncrement;
    }

    /**
    * 设置 增加 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendIncrement
    */
    public void setIsRecommendIncrement(Integer isRecommendIncrement){
        this.isRecommendIncrement = isRecommendIncrement;
    }

    /**
    * 获取 是否推荐(0.未推荐，1.推荐)
    * @return isRecommendList
    */
    public List<Integer> getIsRecommendList(){
        return this.isRecommendList;
    }

    /**
    * 设置 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendList
    */
    public void setIsRecommendList(List<Integer> isRecommendList){
        this.isRecommendList = isRecommendList;
    }

    /**
    * 获取 开始 填单次数
    * @return totalStart
    */
    public Integer getTotalStart(){
        return this.totalStart;
    }

    /**
    * 设置 开始 填单次数
    * @param totalStart
    */
    public void setTotalStart(Integer totalStart){
        this.totalStart = totalStart;
    }

    /**
    * 获取 结束 填单次数
    * @return $totalEnd
    */
    public Integer getTotalEnd(){
        return this.totalEnd;
    }

    /**
    * 设置 结束 填单次数
    * @param totalEnd
    */
    public void setTotalEnd(Integer totalEnd){
        this.totalEnd = totalEnd;
    }

    /**
    * 获取 增加 填单次数
    * @return totalIncrement
    */
    public Integer getTotalIncrement(){
        return this.totalIncrement;
    }

    /**
    * 设置 增加 填单次数
    * @param totalIncrement
    */
    public void setTotalIncrement(Integer totalIncrement){
        this.totalIncrement = totalIncrement;
    }

    /**
    * 获取 填单次数
    * @return totalList
    */
    public List<Integer> getTotalList(){
        return this.totalList;
    }

    /**
    * 设置 填单次数
    * @param totalList
    */
    public void setTotalList(List<Integer> totalList){
        this.totalList = totalList;
    }

    /**
    * 获取 开始 排序
    * @return sortStart
    */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
    * 设置 开始 排序
    * @param sortStart
    */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
    * 获取 结束 排序
    * @return $sortEnd
    */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
    * 获取 增加 排序
    * @return sortIncrement
    */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
    * 获取 排序
    * @return sortList
    */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
    * 获取 填单的附件名称
    * @return fileNameList
    */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
    * 设置 填单的附件名称
    * @param fileNameList
    */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }
    /**
    * 获取 填单的附件下载地址
    * @return fileUrlList
    */
    public List<String> getFileUrlList(){
        return this.fileUrlList;
    }

    /**
    * 设置 填单的附件下载地址
    * @param fileUrlList
    */
    public void setFileUrlList(List<String> fileUrlList){
        this.fileUrlList = fileUrlList;
    }
    /**
    * 获取 样表名称
    * @return sampleNameList
    */
    public List<String> getSampleNameList(){
        return this.sampleNameList;
    }

    /**
    * 设置 样表名称
    * @param sampleNameList
    */
    public void setSampleNameList(List<String> sampleNameList){
        this.sampleNameList = sampleNameList;
    }
    /**
    * 获取 样表地址
    * @return samplePathList
    */
    public List<String> getSamplePathList(){
        return this.samplePathList;
    }

    /**
    * 设置 样表地址
    * @param samplePathList
    */
    public void setSamplePathList(List<String> samplePathList){
        this.samplePathList = samplePathList;
    }
    /**
    * 获取 模板名称
    * @return templateNameList
    */
    public List<String> getTemplateNameList(){
        return this.templateNameList;
    }

    /**
    * 设置 模板名称
    * @param templateNameList
    */
    public void setTemplateNameList(List<String> templateNameList){
        this.templateNameList = templateNameList;
    }
    /**
    * 获取 模板地址
    * @return templatePathList
    */
    public List<String> getTemplatePathList(){
        return this.templatePathList;
    }

    /**
    * 设置 模板地址
    * @param templatePathList
    */
    public void setTemplatePathList(List<String> templatePathList){
        this.templatePathList = templatePathList;
    }
    /**
    * 获取 样表预览地址
    * @return preViewPathList
    */
    public List<String> getPreViewPathList(){
        return this.preViewPathList;
    }

    /**
    * 设置 样表预览地址
    * @param preViewPathList
    */
    public void setPreViewPathList(List<String> preViewPathList){
        this.preViewPathList = preViewPathList;
    }
    /**
    * 获取 表单内容
    * @return formContentList
    */
    public List<String> getFormContentList(){
        return this.formContentList;
    }

    /**
    * 设置 表单内容
    * @param formContentList
    */
    public void setFormContentList(List<String> formContentList){
        this.formContentList = formContentList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键，自增长
    * @param id
    */
    public MatterDatumQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public MatterDatumQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public MatterDatumQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public MatterDatumQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public MatterDatumQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  事项matter id
    * @param matterId
    */
    public MatterDatumQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项matter id
    * @param matterIdStart
    */
    public MatterDatumQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项matter id
    * @param matterIdEnd
    */
    public MatterDatumQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项matter id
    * @param matterIdIncrement
    */
    public MatterDatumQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项matter id
    * @param matterIdList
    */
    public MatterDatumQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }

    /**
    * 设置  部门ID
    * @param deptId
    */
    public MatterDatumQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 部门ID
    * @param deptIdStart
    */
    public MatterDatumQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 部门ID
    * @param deptIdEnd
    */
    public MatterDatumQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 部门ID
    * @param deptIdIncrement
    */
    public MatterDatumQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 部门ID
    * @param deptIdList
    */
    public MatterDatumQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }


	/**
    * 设置 材料名
    * @param materialName
    */
    public MatterDatumQuery materialName(String materialName){
        setMaterialName(materialName);
		return this;
    }

    /**
    * 设置 材料名
    * @param materialNameList
    */
    public MatterDatumQuery materialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
		return this;
    }


	/**
    * 设置 材料全名
    * @param materiaFullName
    */
    public MatterDatumQuery materiaFullName(String materiaFullName){
        setMateriaFullName(materiaFullName);
		return this;
    }

    /**
    * 设置 材料全名
    * @param materiaFullNameList
    */
    public MatterDatumQuery materiaFullNameList(List<String> materiaFullNameList){
        this.materiaFullNameList = materiaFullNameList;
		return this;
    }

    /**
    * 设置  事项来源(0.政务网，1.自定义)
    * @param source
    */
    public MatterDatumQuery source(Integer source){
	    setSource(source);
		return this;
    }
	
	 /**
    * 设置 开始 事项来源(0.政务网，1.自定义)
    * @param sourceStart
    */
    public MatterDatumQuery sourceStart(Integer sourceStart){
		this.sourceStart = sourceStart;
		return this;
    }

    /**
    * 设置 结束 事项来源(0.政务网，1.自定义)
    * @param sourceEnd
    */
    public MatterDatumQuery sourceEnd(Integer sourceEnd){
		this.sourceEnd = sourceEnd;
		return this;
    }

    /**
    * 设置 增加 事项来源(0.政务网，1.自定义)
    * @param sourceIncrement
    */
    public MatterDatumQuery sourceIncrement(Integer sourceIncrement){
		this.sourceIncrement = sourceIncrement;
		return this;
    }

    /**
    * 设置 事项来源(0.政务网，1.自定义)
    * @param sourceList
    */
    public MatterDatumQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
		return this;
        }

    /**
    * 设置  是否推荐(0.未推荐，1.推荐)
    * @param isRecommend
    */
    public MatterDatumQuery isRecommend(Integer isRecommend){
	    setIsRecommend(isRecommend);
		return this;
    }
	
	 /**
    * 设置 开始 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendStart
    */
    public MatterDatumQuery isRecommendStart(Integer isRecommendStart){
		this.isRecommendStart = isRecommendStart;
		return this;
    }

    /**
    * 设置 结束 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendEnd
    */
    public MatterDatumQuery isRecommendEnd(Integer isRecommendEnd){
		this.isRecommendEnd = isRecommendEnd;
		return this;
    }

    /**
    * 设置 增加 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendIncrement
    */
    public MatterDatumQuery isRecommendIncrement(Integer isRecommendIncrement){
		this.isRecommendIncrement = isRecommendIncrement;
		return this;
    }

    /**
    * 设置 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendList
    */
    public MatterDatumQuery isRecommendList(List<Integer> isRecommendList){
        this.isRecommendList = isRecommendList;
		return this;
        }

    /**
    * 设置  填单次数
    * @param total
    */
    public MatterDatumQuery total(Integer total){
	    setTotal(total);
		return this;
    }
	
	 /**
    * 设置 开始 填单次数
    * @param totalStart
    */
    public MatterDatumQuery totalStart(Integer totalStart){
		this.totalStart = totalStart;
		return this;
    }

    /**
    * 设置 结束 填单次数
    * @param totalEnd
    */
    public MatterDatumQuery totalEnd(Integer totalEnd){
		this.totalEnd = totalEnd;
		return this;
    }

    /**
    * 设置 增加 填单次数
    * @param totalIncrement
    */
    public MatterDatumQuery totalIncrement(Integer totalIncrement){
		this.totalIncrement = totalIncrement;
		return this;
    }

    /**
    * 设置 填单次数
    * @param totalList
    */
    public MatterDatumQuery totalList(List<Integer> totalList){
        this.totalList = totalList;
		return this;
        }

    /**
    * 设置  排序
    * @param sort
    */
    public MatterDatumQuery sort(Integer sort){
	    setSort(sort);
		return this;
    }
	
	 /**
    * 设置 开始 排序
    * @param sortStart
    */
    public MatterDatumQuery sortStart(Integer sortStart){
		this.sortStart = sortStart;
		return this;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public MatterDatumQuery sortEnd(Integer sortEnd){
		this.sortEnd = sortEnd;
		return this;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public MatterDatumQuery sortIncrement(Integer sortIncrement){
		this.sortIncrement = sortIncrement;
		return this;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public MatterDatumQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
		return this;
        }


	/**
    * 设置 填单的附件名称
    * @param fileName
    */
    public MatterDatumQuery fileName(String fileName){
        setFileName(fileName);
		return this;
    }

    /**
    * 设置 填单的附件名称
    * @param fileNameList
    */
    public MatterDatumQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
		return this;
    }


	/**
    * 设置 填单的附件下载地址
    * @param fileUrl
    */
    public MatterDatumQuery fileUrl(String fileUrl){
        setFileUrl(fileUrl);
		return this;
    }

    /**
    * 设置 填单的附件下载地址
    * @param fileUrlList
    */
    public MatterDatumQuery fileUrlList(List<String> fileUrlList){
        this.fileUrlList = fileUrlList;
		return this;
    }


	/**
    * 设置 样表名称
    * @param sampleName
    */
    public MatterDatumQuery sampleName(String sampleName){
        setSampleName(sampleName);
		return this;
    }

    /**
    * 设置 样表名称
    * @param sampleNameList
    */
    public MatterDatumQuery sampleNameList(List<String> sampleNameList){
        this.sampleNameList = sampleNameList;
		return this;
    }


	/**
    * 设置 样表地址
    * @param samplePath
    */
    public MatterDatumQuery samplePath(String samplePath){
        setSamplePath(samplePath);
		return this;
    }

    /**
    * 设置 样表地址
    * @param samplePathList
    */
    public MatterDatumQuery samplePathList(List<String> samplePathList){
        this.samplePathList = samplePathList;
		return this;
    }


	/**
    * 设置 模板名称
    * @param templateName
    */
    public MatterDatumQuery templateName(String templateName){
        setTemplateName(templateName);
		return this;
    }

    /**
    * 设置 模板名称
    * @param templateNameList
    */
    public MatterDatumQuery templateNameList(List<String> templateNameList){
        this.templateNameList = templateNameList;
		return this;
    }


	/**
    * 设置 模板地址
    * @param templatePath
    */
    public MatterDatumQuery templatePath(String templatePath){
        setTemplatePath(templatePath);
		return this;
    }

    /**
    * 设置 模板地址
    * @param templatePathList
    */
    public MatterDatumQuery templatePathList(List<String> templatePathList){
        this.templatePathList = templatePathList;
		return this;
    }


	/**
    * 设置 样表预览地址
    * @param preViewPath
    */
    public MatterDatumQuery preViewPath(String preViewPath){
        setPreViewPath(preViewPath);
		return this;
    }

    /**
    * 设置 样表预览地址
    * @param preViewPathList
    */
    public MatterDatumQuery preViewPathList(List<String> preViewPathList){
        this.preViewPathList = preViewPathList;
		return this;
    }


	/**
    * 设置 表单内容
    * @param formContent
    */
    public MatterDatumQuery formContent(String formContent){
        setFormContent(formContent);
		return this;
    }

    /**
    * 设置 表单内容
    * @param formContentList
    */
    public MatterDatumQuery formContentList(List<String> formContentList){
        this.formContentList = formContentList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public MatterDatumQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public MatterDatumQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public MatterDatumQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public MatterDatumQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public MatterDatumQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MatterDatumQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MatterDatumQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MatterDatumQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MatterDatumQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}